Debian Bug report logs - #386500
update-rc.d deletes links on upgrades

version graph

Package: sysv-rc; Maintainer for sysv-rc is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysv-rc is src:sysvinit.

Reported by: Mike Paul <mike@wyzardry.net>

Date: Fri, 8 Sep 2006 04:03:10 UTC

Severity: important

Tags: confirmed, patch

Merged with 383647, 386523, 386540, 386555, 386587, 386588, 386597, 386613, 386618, 386631, 386655, 386671, 386681, 386693, 386894

Fixed in versions 2.86.ds1-12, 2.86.ds1-18

Done: Petter Reinholdtsen <pere@hungry.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Mike Paul <mike@wyzardry.net>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Paul <mike@wyzardry.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Upgrade to 0.100-1 removes links from /etc/rcS.d; udev doesn't start
Date: Thu, 07 Sep 2006 23:57:42 -0400
Package: udev
Version: 0.100-1
Severity: critical
Justification: breaks the whole system

After upgrading udev from 0.098-2 to 0.100-1, I found that udev no
longer started automatically at boot time, because the
/etc/rcS.d/S03udev and /etc/rcS.d/S36udev-mtab symlinks were no longer
present.  This pretty much hoses the system, since various important
drivers don't get loaded; neither GDM or even the gettys came up, and I
had to boot in single-user mode.

Purging (with dpkg --purge --force-depends) and reinstalling the udev
package resolved the situation.  Probably just running update-rc.d
manually could have resolved it too.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (800, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages udev depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libselinux1                  1.30.27-2   SELinux shared libraries
ii  libvolume-id0                0.100-1     libvolume_id shared library
ii  lsb-base                     3.1-15      Linux Standard Base 3.1 init scrip

udev recommends no packages.

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Michael Setzer <michael.setzer@celeborn.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 386500@bugs.debian.org (full text, mbox):

From: Michael Setzer <michael.setzer@celeborn.de>
To: 386500@bugs.debian.org
Date: Fri, 8 Sep 2006 07:39:40 +0200
Hi,

apt-get install --reinstall does the trick, too.

Regards, Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 386500@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Mike Paul <mike@wyzardry.net>, 386500@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#386500: Upgrade to 0.100-1 removes links from /etc/rcS.d; udev doesn't start
Date: Fri, 8 Sep 2006 09:23:16 +0200
[Message part 1 (text/plain, inline)]
severity 386500 normal
tag 386500 unreproducible
thanks

On Sep 08, Mike Paul <mike@wyzardry.net> wrote:

> After upgrading udev from 0.098-2 to 0.100-1, I found that udev no
> longer started automatically at boot time, because the
> /etc/rcS.d/S03udev and /etc/rcS.d/S36udev-mtab symlinks were no longer
I can't see how the package could do this. Do you?
Why do you believe that udev removed the links?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `critical' Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: unreproducible Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #24 received at 386500@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <386500@bugs.debian.org>
Subject: udev: reproducible with 0.098-2
Date: Fri, 08 Sep 2006 10:14:21 +0200
[Message part 1 (text/plain, inline)]
Package: udev
Followup-For: Bug #386500

This problem has hit me as well, but upgrading to 0.098-2.

However, I lost not only the udev symlink but also ntpdate. I suspect a
race somewhere in the installation order corellating with sysv-rc or
sysvinit or initscripts which have been installed in the same run.

I am attaching the dpkg.log, that I all I can provide now.

Eduard.


-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
insgesamt 20
-rw-r--r-- 1 root root 659 2006-03-03 09:18 010_logitech_meine.rules
-rw-r--r-- 1 root root 195 2006-04-19 16:23 011_ethernet_ordnung.rules
-rw-r--r-- 1 root root 195 2006-04-19 16:23 011_ethernet_ordnung.rules~
lrwxrwxrwx 1 root root  20 2006-03-02 14:36 020_permissions.rules -> ../permissions.rules
lrwxrwxrwx 1 root root  19 2006-07-23 09:30 025_libgphoto2.rules -> ../libgphoto2.rules
lrwxrwxrwx 1 root root  16 2006-08-12 11:08 025_libsane.rules -> ../libsane.rules
lrwxrwxrwx 1 root root  22 2006-03-19 03:38 025_logitechmouse.rules -> ../logitechmouse.rules
lrwxrwxrwx 1 root root  13 2006-03-02 14:36 udev.rules -> ../udev.rules
lrwxrwxrwx 1 root root  25 2006-04-13 21:56 z20_persistent-input.rules -> ../persistent-input.rules
lrwxrwxrwx 1 root root  19 2006-03-02 14:36 z20_persistent.rules -> ../persistent.rules
-rw-r--r-- 1 root root 944 2006-09-08 11:53 z25_persistent-cd.rules
-rw-r--r-- 1 root root 593 2006-09-07 11:34 z25_persistent-net.rules
lrwxrwxrwx 1 root root  33 2006-04-27 09:33 z45_persistent-net-generator.rules -> ../persistent-net-generator.rules
lrwxrwxrwx 1 root root  12 2006-03-02 14:36 z50_run.rules -> ../run.rules
lrwxrwxrwx 1 root root  16 2006-03-02 14:36 z55_hotplug.rules -> ../hotplug.rules
lrwxrwxrwx 1 root root  19 2006-03-02 19:32 z60_alsa-utils.rules -> ../alsa-utils.rules
lrwxrwxrwx 1 root root  15 2006-03-02 19:27 z60_hdparm.rules -> ../hdparm.rules
lrwxrwxrwx 1 root root  33 2006-05-13 16:13 z60_xserver-xorg-input-wacom.rules -> ../xserver-xorg-input-wacom.rules
lrwxrwxrwx 1 root root  29 2006-09-07 11:34 z75_cd-aliases-generator.rules -> ../cd-aliases-generator.rules

-- /sys/:
/sys/block/hda/dev
/sys/block/hda/hda1/dev
/sys/block/hda/hda2/dev
/sys/block/hda/hda5/dev
/sys/block/hda/hda6/dev
/sys/block/hda/hda7/dev
/sys/block/hdb/dev
/sys/block/hdb/hdb1/dev
/sys/block/hdb/hdb2/dev
/sys/block/hdb/hdb5/dev
/sys/block/hdb/hdb6/dev
/sys/block/hdb/hdb7/dev
/sys/block/hdb/hdb8/dev
/sys/block/hdb/hdb9/dev
/sys/block/hdc/dev
/sys/block/hdd/dev
/sys/block/ram0/dev
/sys/block/ram1/dev
/sys/block/ram10/dev
/sys/block/ram11/dev
/sys/block/ram12/dev
/sys/block/ram13/dev
/sys/block/ram14/dev
/sys/block/ram15/dev
/sys/block/ram2/dev
/sys/block/ram3/dev
/sys/block/ram4/dev
/sys/block/ram5/dev
/sys/block/ram6/dev
/sys/block/ram7/dev
/sys/block/ram8/dev
/sys/block/ram9/dev
/sys/block/sda/dev
/sys/block/sda/sda1/dev
/sys/block/sda/sda3/dev
/sys/block/sda/sda4/dev
/sys/block/sda/sda5/dev
/sys/class/graphics/fb0/dev
/sys/class/input/input0/event0/dev
/sys/class/input/input4/event4/dev
/sys/class/input/input5/event1/dev
/sys/class/input/input6/event2/dev
/sys/class/input/input7/event3/dev
/sys/class/input/input8/event5/dev
/sys/class/input/input8/mouse0/dev
/sys/class/input/input8/ts0/dev
/sys/class/input/mice/dev
/sys/class/misc/agpgart/dev
/sys/class/misc/fuse/dev
/sys/class/misc/hpet/dev
/sys/class/misc/mcelog/dev
/sys/class/misc/psaux/dev
/sys/class/misc/rtc/dev
/sys/class/misc/snapshot/dev
/sys/class/ppdev/parport0/dev
/sys/class/printer/lp0/dev
/sys/class/sound/adsp/dev
/sys/class/sound/audio/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/controlC1/dev
/sys/class/sound/dmmidi/dev
/sys/class/sound/dmmidi1/dev
/sys/class/sound/dsp/dev
/sys/class/sound/hwC0D0/dev
/sys/class/sound/midi/dev
/sys/class/sound/midi1/dev
/sys/class/sound/midiC0D0/dev
/sys/class/sound/midiC1D0/dev
/sys/class/sound/mixer/dev
/sys/class/sound/mixer1/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/pcmC0D1c/dev
/sys/class/sound/pcmC0D2c/dev
/sys/class/sound/pcmC0D2p/dev
/sys/class/sound/pcmC0D3p/dev
/sys/class/sound/timer/dev
/sys/class/usb/hiddev0/dev
/sys/class/usb/hiddev1/dev
/sys/class/usb_device/usbdev1.1/dev
/sys/class/usb_device/usbdev1.3/dev
/sys/class/usb_device/usbdev2.1/dev
/sys/class/usb_device/usbdev3.1/dev
/sys/class/usb_device/usbdev4.1/dev
/sys/class/usb_device/usbdev5.1/dev
/sys/class/usb_device/usbdev5.3/dev
/sys/class/usb_device/usbdev5.4/dev
/sys/class/usb_device/usbdev5.5/dev
/sys/class/usb_device/usbdev5.6/dev
/sys/class/usb_device/usbdev5.7/dev
/sys/class/video4linux/radio0/dev
/sys/class/video4linux/vbi0/dev
/sys/class/video4linux/video0/dev
/sys/devices/pci0000:00/0000:00:10.0/usb1/1-0:1.0/usbdev1.1_ep81/dev
/sys/devices/pci0000:00/0000:00:10.0/usb1/1-2/1-2:1.0/usbdev1.3_ep81/dev
/sys/devices/pci0000:00/0000:00:10.0/usb1/1-2/1-2:1.1/usbdev1.3_ep82/dev
/sys/devices/pci0000:00/0000:00:10.0/usb1/1-2/usbdev1.3_ep00/dev
/sys/devices/pci0000:00/0000:00:10.0/usb1/usbdev1.1_ep00/dev
/sys/devices/pci0000:00/0000:00:10.1/usb2/2-0:1.0/usbdev2.1_ep81/dev
/sys/devices/pci0000:00/0000:00:10.1/usb2/usbdev2.1_ep00/dev
/sys/devices/pci0000:00/0000:00:10.2/usb3/3-0:1.0/usbdev3.1_ep81/dev
/sys/devices/pci0000:00/0000:00:10.2/usb3/usbdev3.1_ep00/dev
/sys/devices/pci0000:00/0000:00:10.3/usb4/4-0:1.0/usbdev4.1_ep81/dev
/sys/devices/pci0000:00/0000:00:10.3/usb4/usbdev4.1_ep00/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-0:1.0/usbdev5.1_ep81/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-3/5-3.2/5-3.2:1.0/usbdev5.5_ep81/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-3/5-3.2/usbdev5.5_ep00/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-3/5-3:1.0/usbdev5.3_ep81/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-3/usbdev5.3_ep00/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/5-4.2/5-4.2:1.0/usbdev5.7_ep03/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/5-4.2/5-4.2:1.0/usbdev5.7_ep84/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/5-4.2/usbdev5.7_ep00/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/5-4.3/5-4.3:1.0/usbdev5.6_ep81/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/5-4.3/usbdev5.6_ep00/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/5-4:1.0/usbdev5.4_ep81/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/5-4/usbdev5.4_ep00/dev
/sys/devices/pci0000:00/0000:00:10.4/usb5/usbdev5.1_ep00/dev

-- Kernel configuration:
 isapnp_init not present.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-rc5
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages udev depends on:
ii  initscripts                  2.86.ds1-16 Scripts for initializing and shutt
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libselinux1                  1.30.26-2   SELinux shared libraries
ii  libvolume-id0                0.098-2     libvolume_id shared library
ii  lsb-base                     3.1-15      Linux Standard Base 3.1 init scrip

udev recommends no packages.

-- no debconf information
[2006-09-07.dpkg.log.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #29 received at 386500@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 386500@bugs.debian.org
Subject: missing rcS.d links.
Date: Fri, 08 Sep 2006 10:17:08 +0200
[Message part 1 (text/plain, inline)]
Hi,

After the last upgrade of udev a lot of services did not start due to
missing device files. Downgrading udev fixed my system again. 

I see the same upgrading behaviour as Mike Paul saw:

arjan@nebula:~$ ls /etc/rcS.d/*udev*
/etc/rcS.d/S03udev  /etc/rcS.d/S36udev-mtab
arjan@nebula:~$ sudo aptitude -t unstable upgrade
Password:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd... Klaar
Uitgebreide statusinformatie aan het lezen
Initialiseren van pakketstatussen... Klaar
Opbouwen van tagdatabase... Klaar
De volgende pakketten zullen worden opgewaardeerd:
  udev
1 pakketten opgewaardeerd, 0 nieuwe geïnstalleerd, 0 te verwijderen en 0 niet opwaarderen.
Heb 0B/264kB archieven nodig. Na uitpakken zal 0B worden gebruikt.
Wilt u verder gaan? [Y/n/?]
Reading changelogs... Done
(Database inlezen ... 207977 bestanden en mappen geïnstalleerd.)
Voorbereiden om udev 0.098-2 te vervangen (door .../archives/udev_0.100-1_i386.deb) ...
Uitpakken van vervangende udev ...
Instellen van udev (0.100-1) ...
Installeren van nieuwe versie van configuratiebestand /etc/init.d/udev ...
Installeren van nieuwe versie van configuratiebestand /etc/udev/cd-aliases-generator.rules ...
Installeren van nieuwe versie van configuratiebestand /etc/udev/persistent.rules ...
Installeren van nieuwe versie van configuratiebestand /etc/udev/persistent-net-generator.rules ...
update-initramfs: Generating /boot/initrd.img-2.6.17-3-nebula

arjan@nebula:~$ ls /etc/rcS.d/*udev*
ls: /etc/rcS.d/*udev*: Onbekend bestand of map

So upgrading udev indeed triggers this bug,

Greetings Arjan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Kai Weber <kai.weber@glorybox.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #34 received at 386500@bugs.debian.org (full text, mbox):

From: Kai Weber <kai.weber@glorybox.de>
To: 386500@bugs.debian.org
Subject: Re: Bug#386500: Upgrade to 0.100-1 removes links from /etc/rcS.d; udev doesn't start
Date: Fri, 8 Sep 2006 10:23:27 +0200
* Marco d'Itri <md@Linux.IT>:

> > After upgrading udev from 0.098-2 to 0.100-1, I found that udev no
> > longer started automatically at boot time, because the
> > /etc/rcS.d/S03udev and /etc/rcS.d/S36udev-mtab symlinks were no longer
> I can't see how the package could do this. Do you?
> Why do you believe that udev removed the links?

I can confirm this. No start links for udev after upgrade. Please change
severity to critical! These are the packages that I upgraded together
with udev:

linux-kernel-headers
udev
console-common
fetchmail
kernel-package
libgphoto2
libselinux
libsepol
shared-mime-info
sysvinit
wireshark

Regards, Kai
-- 
* http://www.glorybox.de/
  PGP 1024D/594D4132 B693 5073 013F 7F56 5DCC  D9C2 E6B5 448C 594D 4132



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#386500; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #39 received at 386500@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 386500@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Found the problem
Date: Fri, 08 Sep 2006 10:48:35 +0200
[Message part 1 (text/plain, inline)]
clone 386500 -1
reassign -1 sysv-rc
retitle -1 update-rc.d removes links when it should not
severity critical
thanks 

Hi,

I found the problem. The postinst script calls update-rc.d which should
be fine, bu update-rc.d is broken.

Content postinst:
# Automatically added by dh_installinit
if [ -x "/etc/init.d/udev" ]; then
        update-rc.d udev start 03 S . >/dev/null || exit $?
fi
# End automatically added section
# Automatically added by dh_installinit
if [ -x "/etc/init.d/udev-mtab" ]; then
        update-rc.d udev-mtab start 36 S . >/dev/null || exit $?
fi
# End automatically added section

Manual try:

ls /etc/rcS.d/*udev*
/etc/rcS.d/S03udev  /etc/rcS.d/S36udev-mtab
arjan@nebula:~$ sudo update-rc.d udev start 03 S .
   /etc/rcS.d/S03udev
 System startup links for /etc/init.d/udev already exist.
arjan@nebula:~$ ls /etc/rcS.d/*udev*
/etc/rcS.d/S36udev-mtab
arjan@nebula:~$ sudo update-rc.d udev start 03 S .
 Adding system startup for /etc/init.d/udev ...
   /etc/rcS.d/S03udev -> ../init.d/udev
arjan@nebula:~$ ls /etc/rcS.d/*udev*
/etc/rcS.d/S03udev  /etc/rcS.d/S36udev-mtab

So when the links already exists update-rc.d devices to remove them.
Uughh.

I have cloned the bug report and reassigned to sysv-rc with severity
critical as it breaks other programs.

Greetings Arjan 
[signature.asc (application/pgp-signature, inline)]

Bug 386500 cloned as bug 386523. Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `critical' from `normal' Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `udev' to `udev,sysv-rc'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #52 received at 386500@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 386500@bugs.debian.org, 386523@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Problem located
Date: Fri, 08 Sep 2006 11:08:06 +0200
[Message part 1 (text/plain, inline)]
tags 386500 - unreproducible
tags 386523 - unreproducible
thanks

Hi,

I found the problem in update-rc.d. There is a little logic error in one
of the functions update-rc.d. After i fixed that it worked again:

arjan@nebula:~$ ls /etc/rcS.d/*udev*
/etc/rcS.d/S03udev  /etc/rcS.d/S36udev-mtab
arjan@nebula:~$ sudo update-rc.d udev start 03 S .
 System startup links for /etc/init.d/udev already exist.
arjan@nebula:~$ ls /etc/rcS.d/*udev*
/etc/rcS.d/S03udev  /etc/rcS.d/S36udev-mtab

I have included the patch below

--- /usr/sbin/update-rc.d.orig  2006-09-08 10:56:09.000000000 +0200
+++ /usr/sbin/update-rc.d       2006-09-08 11:02:32.000000000 +0200
@@ -108,7 +108,7 @@
            $fn = "$etcd$i.d/$_";
            $found = 1;
            $islnk = &is_link ($_[0], $fn, $bn);
-           next if (defined $_[0] and $_[0] ne 'remove');
+           next unless (defined $_[0] && $_[0] eq 'remove');
            if (! $islnk) {
                print "   $fn is not a link to ../init.d/$bn; not removing\n";
                next;

Greetings Arjan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 386500@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 386500@bugs.debian.org, 386500-submitter@bugs.debian.org
Subject: Re: update-rc.d deletes links on upgrades
Date: Fri, 08 Sep 2006 11:35:29 +0200
tags 386500 + pending patch confirmed
thanks

I am able to reproduce the problem.  And I must say, wow, that was a
scary bug.  And if I should believe the svn changelog for the script,
it has been there forever, forever here meaning since before the svn
repository was created 2005-09-10. :)

I believe this patch solve the problem, by making sure checklink() do
_not_ reomve symlinks unless asked to do so.  Please test and let me
know if it solve the problem for you.  With this patch, I am no longer
able to reproduce it myself.

Index: debian/sysv-rc/sbin/update-rc.d
===================================================================
--- debian/sysv-rc/sbin/update-rc.d     (revisjon 856)
+++ debian/sysv-rc/sbin/update-rc.d     (arbeidskopi)
@@ -113,10 +113,11 @@
                print "   $fn is not a link to ../init.d/$bn; not removing\n";
                next;
            }
-           print "   $etcd$i.d/$_\n";
-           next if ($notreally);
-           unlink ("$etcd$i.d/$_") ||
-               die("update-rc.d: unlink: $!\n");
+           if (!$notreally && defined $_[0] && $_[0] eq 'remove') {
+               print "   $etcd$i.d/$_\n";
+               unlink ("$etcd$i.d/$_") ||
+                   die("update-rc.d: unlink: $!\n");
+           }
        }
        closedir(DIR);
     }



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 386500@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Arjan Oosting <arjanoosting@home.nl>, 386523@bugs.debian.org, 386500@bugs.debian.org
Subject: Re: Problem located
Date: Fri, 8 Sep 2006 11:46:14 +0200
[Arjan Oosting]
> I found the problem in update-rc.d. There is a little logic error in one
> of the functions update-rc.d. After i fixed that it worked again:

Ah, then it was introduced in version 2.86.ds1-16.  Thank you for the
patch.  I've included it in svn instead of my proposed patch.



Tags added: pending, patch, confirmed Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Mike Paul <mike@wyzardry.net>:
Bug#386500. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Pascal LACROIX <lacroixpascal@vfemail.net>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 386500@bugs.debian.org (full text, mbox):

From: Pascal LACROIX <lacroixpascal@vfemail.net>
To: 386500@bugs.debian.org
Subject: Re: Problem located
Date: Fri, 8 Sep 2006 12:16:47 +0200
[Message part 1 (text/plain, inline)]
For me, this bug was breaking a lot : resolvconf, exim4 ...

-- 
Pascal LACROIX


[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to "Ivan Sergio Borgonovo" <ivan.s.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #79 received at 386500@bugs.debian.org (full text, mbox):

From: "Ivan Sergio Borgonovo" <ivan.s.b@gmail.com>
To: 386500@bugs.debian.org
Subject: still something missing
Date: Fri, 8 Sep 2006 12:59:08 +0200
I think is still related to this since these problem started after
last udev update.
I already applied the patch and things seemed a bit better (no alsa
and psmouse problems anymore) but dbus and powersaved stopped to work.

I noticed some server were deactivated.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #84 received at 386500@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>, 386500@bugs.debian.org
Subject: Re: Bug#386500: still something missing
Date: Fri, 08 Sep 2006 13:33:52 +0200
[Message part 1 (text/plain, inline)]
Op vr, 08-09-2006 te 12:59 +0200, schreef Ivan Sergio Borgonovo:
> I think is still related to this since these problem started after
> last udev update.
> I already applied the patch and things seemed a bit better (no alsa
> and psmouse problems anymore) but dbus and powersaved stopped to work.
> 
> I noticed some server were deactivated.
Probebly still missing some links in the /etc/rc*.d dirs. Just reinstall
the affected services with apt-get --reinstall.

Greetings Arjan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #89 received at 386500@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>, 386500@bugs.debian.org
Subject: Re: Bug#386500: still something missing
Date: Fri, 08 Sep 2006 13:37:07 +0200
[Message part 1 (text/plain, inline)]
Op vr, 08-09-2006 te 12:59 +0200, schreef Ivan Sergio Borgonovo:
> I think is still related to this since these problem started after
> last udev update.
> I already applied the patch and things seemed a bit better (no alsa
> and psmouse problems anymore) but dbus and powersaved stopped to work.
> 
> I noticed some server were deactivated.
> 
Probably your still missing some links in the /etc/rc*.d directories.
Just reinstall the affected programs by doing apt-get --reinstall.

Greetings Arjan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #94 received at 386500@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>, 386500@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#386500: still something missing
Date: Fri, 8 Sep 2006 13:37:44 +0200
[Ivan Sergio Borgonovo]
> I think is still related to this since these problem started after
> last udev update.
> I already applied the patch and things seemed a bit better (no alsa
> and psmouse problems anymore) but dbus and powersaved stopped to work.
> 
> I noticed some server were deactivated.

Yes.  Most init.d scripts from packages upgraded since you upgraded to
sysv-rc versoin 2.86.ds1-16 will probably have been removed.  To
restore them, it should be enough to reconfigure the packages, aka like

  dpkg-reconfigure dbus
  dpkg-reconfigure powersaved

Sorry for the mess. :(

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to "Ivan Sergio Borgonovo" <ivan.s.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #99 received at 386500@bugs.debian.org (full text, mbox):

From: "Ivan Sergio Borgonovo" <ivan.s.b@gmail.com>
To: 386500@bugs.debian.org
Subject: still something missing
Date: Fri, 8 Sep 2006 14:12:48 +0200
Sorry to bother... this is not related to the bug itself but rather to
fix the problems it caused.

dbus and powersaved were resurrected that way.

nfs client still not working; the module is not loaded...
I had to load manually modprobe nfs and then mount the shares
I used sysvconfig to reenable the services I thought were useful but
even starting all the nfs related rc script nfs doesn't work
I don't know if anything else is missing.

Is there a way to have a list of packages that change /etc/rc?
Should manually enabling them with sysvconfig enough to fix the
problem without dpk-reconfiguring everything?

thx



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package udev,sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #104 received at 386500@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>, 386500@bugs.debian.org
Subject: Re: Bug#386500: still something missing
Date: Fri, 08 Sep 2006 14:35:21 +0200
[Message part 1 (text/plain, inline)]
Op vr, 08-09-2006 te 14:12 +0200, schreef Ivan Sergio Borgonovo:
> Sorry to bother... this is not related to the bug itself but rather to
> fix the problems it caused.
> 
> dbus and powersaved were resurrected that way.
> 
> nfs client still not working; the module is not loaded...
> I had to load manually modprobe nfs and then mount the shares
> I used sysvconfig to reenable the services I thought were useful but
> even starting all the nfs related rc script nfs doesn't work
> I don't know if anything else is missing.
Could be related to bug #386449 [1] for which an upload is pending.

Greetings Arjan


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=386449
[signature.asc (application/pgp-signature, inline)]

Tags removed: unreproducible Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Paul <mike@wyzardry.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #111 received at 386500-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 386500-close@bugs.debian.org
Subject: Bug#386500: fixed in sysvinit 2.86.ds1-18
Date: Fri, 08 Sep 2006 10:32:29 -0700
Source: sysvinit
Source-Version: 2.86.ds1-18

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-18_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-18_i386.deb
sysv-rc_2.86.ds1-18_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-18_all.deb
sysvinit_2.86.ds1-18.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-18.diff.gz
sysvinit_2.86.ds1-18.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-18.dsc
sysvinit_2.86.ds1-18_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-18_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386500@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  8 Sep 2006 19:07:43 +0200
Source: sysvinit
Binary: sysv-rc sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-18
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
Closes: 367465 372666 372669 386347 386418 386449 386500
Changes: 
 sysvinit (2.86.ds1-18) unstable; urgency=low
 .
   * Make sure running update-rc.d several times do not remove the
     rc*.d/ symlinks, fixing bug introduced in 2.86.ds1-16.  Patch from
     Arjan Oosting. (Closes: #386500) Added entry in NEWS file to give
     clues on how to fix the breakage in upgraded packages introduced
     by this.  Print a warning when upgrading from the broken versions.
   * Change checkroot.sh to use a private tmpfs file system for its
     device file if it is missing from /dev/. (Closes: #386347)
   * Also create possibly non-existant parent directory of lock directory
     /var/run/network/mountnfs in ifup script.  Patch from Arjan
     Oosting. (Closes: #386449).
   * Mark /etc/init.d/rc.local as a conffile, to make sure we do not
     replace an exisitng rc.local file without warning the system
     admin. (Closes: #386418)
   * Mount /dev/pts/ with noexec,nosuid, as it is only used for device files.
   * Change sysv-rc to print a message when enabling concurrent boot,
     specifying the concurrency style.  Recommend lsb-base and use it
     if available.
   * Teach init.d/stop-bootlogd-single to accept the kernel arguments
     'S' and '1' as well as 'single' as single-user mode triggers.
     (Closes: #367465, #372669)
   * Only report umounting of remote file systems when there are remote
     file systems to umount.
   * Remove 'S' from default-stop in skeleton.  It never make sense to add
     stop links in rcS.d/.
   * Remove execute bit from /etc/init.d/skeleton. (Closes: #372666)
   * LSB header updates:
     - stop-bootlogd should run after rmnologin.
     - mountdevsub.sh should start after udev, if it exist.
     - rc.local should not depend on $all to allow it to start earler
       in the boot.
     - stop-bootlogd-single should depend on $all, to get it last in
       the rcS.d/ sequence.
     - umountnfs.sh should stop in runlevel 0 and 6, and execute before
       umountnfs, sendsigs, portman and $network.
     - sendsigs should stop in runlevel 0 and 6, and execute before
       umountfs.
     - umountfs should stop in runlevel 0 and 6, and execute before halt
       or reboot, if it exist.
     - halt should stop in runlevel 0, and not run before any other script.
     - reboot should stop in runlevel 6, and not run before any other script.
Files: 
 72a0a49e8b546d206c60f0c94f719bb9 894 admin required sysvinit_2.86.ds1-18.dsc
 36989dc21a89840901a0df6a8bc4114b 127572 admin required sysvinit_2.86.ds1-18.diff.gz
 70728badf0373aa69c2e45ba6ff20b6b 126432 admin required sysvinit_2.86.ds1-18_i386.deb
 14f9de84641f14fd5433c866c24f1ebe 52716 admin required initscripts_2.86.ds1-18_i386.deb
 feb41a0b257bc07815946fedb826527a 52106 admin required sysv-rc_2.86.ds1-18_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFAaSW20zMSyow1ykRAsTzAJ0RWlEFcTOgbqEjrxk+wxxOly0yJgCfZ0IY
ORCKkF5/KOHG2qmvHnIt3v4=
=/oO1
-----END PGP SIGNATURE-----




Bug reassigned from package `udev,sysv-rc' to `sysv-rc'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 386500 386523 386555. Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Stevie <stiabhan@bigpond.net.au>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #120 received at 386500@bugs.debian.org (full text, mbox):

From: Stevie <stiabhan@bigpond.net.au>
To: 386500@bugs.debian.org
Subject: Failed to recover
Date: Sat, 09 Sep 2006 10:28:42 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

This problem also occurred on my machine when I upgraded udev to 0.100-1.

The purge/reinstall did not work for me. During installation I get the
following error

Setting up udev (0.100-1)
/etc/udev/rules.d.z25_persistent-net.rules exists, persistent
interface names not saved.
Populating the new /dev filesystem temporarily mounted on
/tmp/udev/Q03YFx/...
ln: creating symbolic link `/tmp/udev.A03YFx/.static/dev/initctl' to
`/dev/.static/dev/.static/dev/initctl': No such file or directory
mount: special device /dev/pts does not exist
dpkg: error processing udev (--configure)

The `/dev/.static/dev/.static/' path looks odd but I've no clue as to
how to fix it.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFAgq6W7aAm65EWy4RA/RYAKDaShlbGgf0dt4X3+90kzl8tCuEgwCgt6el
q0qEBwy17YEqsNOXc8ihN5E=
=dvNb
-----END PGP SIGNATURE-----




Forcibly Merged 386500 386523 386555 386618. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to "Shobhit Jindal" <jindal.shobhit@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #127 received at 386500@bugs.debian.org (full text, mbox):

From: "Shobhit Jindal" <jindal.shobhit@gmail.com>
To: "Kai Weber" <kai.weber@glorybox.de>, 386500@bugs.debian.org
Subject: Re: Bug#386500: Upgrade to 0.100-1 removes links from /etc/rcS.d; udev doesn't start
Date: Sat, 9 Sep 2006 06:06:19 +0530
[Message part 1 (text/plain, inline)]
On 9/8/06, Kai Weber <kai.weber@glorybox.de> wrote:
>
> * Marco d'Itri <md@Linux.IT>:
>
> > > After upgrading udev from 0.098-2 to 0.100-1, I found that udev no
> > > longer started automatically at boot time, because the
> > > /etc/rcS.d/S03udev and /etc/rcS.d/S36udev-mtab symlinks were no longer

just back from a scare of udev
i too confirm the above missing links ... after linking
update-rc.d -f udev start 03 S .
update-rc.d -f udev-mtab start 36 S .
everything seems to be working fine


-- 
Registerd Linux User #426561
-
Shobhit Jindal
B.Tech. Part-III,
Department Of Electronics Engineering, ITBHU
INDIA
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #132 received at 386500@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Stevie <stiabhan@bigpond.net.au>, 386500@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#386500: Failed to recover
Date: Sat, 9 Sep 2006 10:36:02 +0200
[Stevie]
> This problem also occurred on my machine when I upgraded udev to 0.100-1.

Sorry about that.

> The purge/reinstall did not work for me. During installation I get the
> following error

Be aware that the script fragment proposed in the NEWS file is
dangerous.  It fail to cope with removed but not purged packages.  Use
this instead, but see below for the udev issue.

    for p in `dpkg -S /etc/init.d/*|cut -d: -f1|sort -u`; do
      if dpkg --get-selections $p | grep -qw install ; then
        echo reinstalling $p
        apt-get --reinstall install $p
      fi
    done

> The `/dev/.static/dev/.static/' path looks odd but I've no clue as to
> how to fix it.

This sounds like an half-configured udev system.  The
/dev/.static/dev/ path is where udev move away the original /dev/ with
static devices upon startup.  Does it help to run this?

  update-rc.d -f udev start 03 S .
  update-rc.d -f udev-mtab start 36 S .

The symlinks should look like this:

  # ls -l /etc/rc*/*udev*
  lrwxrwxrwx 1 root root 14 Sep  8 11:29 /etc/rcS.d/S03udev -> ../init.d/udev
  lrwxrwxrwx 1 root root 19 Sep  9 10:33 /etc/rcS.d/S36udev-mtab -> ../init.d/udev-mtab
  #

I've recently been told about the /var/log/dpkg.log file.  It include
the list of installs, upgrades and removals.  You should be able to
use it to figure out what packages that need a reinstall.  I have not
yet a script fragment to do this.

Sorry for the mess.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #137 received at 386500@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Shobhit Jindal <jindal.shobhit@gmail.com>, 386500@bugs.debian.org
Cc: Kai Weber <kai.weber@glorybox.de>
Subject: Re: [Pkg-sysvinit-devel] Bug#386500: Upgrade to 0.100-1 removes links from /etc/rcS.d; udev doesn't start
Date: Sat, 9 Sep 2006 10:39:15 +0200
[Shobhit Jindal]
> just back from a scare of udev
> i too confirm the above missing links ... after linking
> update-rc.d -f udev start 03 S .
> update-rc.d -f udev-mtab start 36 S .
> everything seems to be working fine

Thank you for letting me know.   Again, sorry for the mess.

Friendly,
-- 
Petter Reinholdtsen - registerd Linux User #14



Forcibly Merged 386500 386523 386555 386587 386618. Request was from Jose Carlos Garcia Sogo <jsogo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Paul <mike@wyzardry.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #144 received at 386500-done@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 386500-done@bugs.debian.org
Subject: update-rc.d was fixed in version 2.86.ds1-18
Date: Sat, 09 Sep 2006 19:09:25 +0200
Version: 2.86.ds1-18

The problem with update-rc.d, which originated this entire set of
problems, were fixed in sysv-rc version 2.86.ds1-18.  So I am closing
this bug.

Friendly,
-- 
Petter Reinholdtsen



Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Paul <mike@wyzardry.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to qaz <qaz99af@123mail.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jason Dorje Short <jdorje@users.sf.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Cheramy <robert@cheramy.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Merged 386500 386523 386540 386555 386587 386588 386597 386613 386618 386631 386655 386671 386693. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 386500 386523 386540 386555 386587 386588 386597 386613 386618 386631 386655 386671 386693 386894. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#386500; Package sysv-rc. Full text and rfc822 format available.

Acknowledgement sent to Ivan Sergio Borgonovo <ivan.s.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #173 received at 386500@bugs.debian.org (full text, mbox):

From: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>
To: 386500@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>
Subject: still rc? not working
Date: Mon, 11 Sep 2006 11:10:30 +0200
I'm not sure if this is still the same problem... but this stuff broke concurrently as the sysvinit problem and share some aspect.

I tried to redo everything as carefully as I could.
Examined all the logs, reinstall/reconfigure all the packages as stated in sysvinit/NEWS.Debian.gz

Modules related to the not working services are loaded.
Anyway acpid, fam, powersaved, dbus are not working.
All links in /etc/rc* seems to be there.

Starting them manually seems to work but it is a bit annoying since due to some problem hcid segfault[*] on exit and I can't restart consistently dbus.
Since it seems that not all services in dbus are missing restart is needed cos start will fail.

There is a antefact that may be related. For other bugs in initramfs I had to generate my own initrd.
During install of sysvinit update-initramfs complained that the initram was altered and it couldn't generate a new one.
I did it manually and saved the original too.

I got 2 messages that could help to get a clue on the problem:
- Starting powermanagement... Cannot access /var/run/acpid.socket
may be due to the fact that acpid is not running
- .. hotplug events dispatcher... another udev daemon already running

unlinking rc*/udev and generating another initrd fix the second error but still dbus, acpid, powernowd and fam don't start automatically.




[*] this was an old problem but never affected proper operation previously cos I didn't have to restart dbus
Sep 11 10:43:42 localhost kernel: hcid[5876]: segfault at 0000000000000038 rip 00000000004188f2 rsp 00007fff7da99530 error 4

-- 
Ivan Sergio Borgonovo
http://www.webthatworks.it




Tags removed: unreproducible Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: unreproducible Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 383647 386500 386523 386540 386555 386587 386588 386597 386613 386618 386631 386655 386671 386681 386693 386894. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 07:58:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:32:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.